> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1expensesvalidate



## OpenAPI

````yaml /api-reference/openapi.json post /v1/expenses/validate
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/expenses/validate:
    post:
      tags:
        - Expenses
      parameters: []
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TransactionsSBTransactionUploadResponse'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TransactionsSBTransactionUploadResponse'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TransactionsSBTransactionUploadResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    TransactionsSBTransactionUploadResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        jobId:
          type: string
          nullable: true
        jobStatus:
          $ref: '#/components/schemas/ModelsTransactionsSBJobStatus'
        attachment:
          $ref: '#/components/schemas/DTOSBAttachmentResponse'
        transactionId:
          type: integer
          format: int64
          nullable: true
        idempotentId:
          type: string
          nullable: true
        cdnUrl:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        note:
          type: string
          nullable: true
        submittedByEmployeeId:
          type: integer
          format: int64
          nullable: true
        submittedByEmployee:
          $ref: '#/components/schemas/BusinessEmployeesEmployeeSummaryResponse'
        expenseReportId:
          type: integer
          format: int64
          nullable: true
        categoryId:
          type: integer
          format: int64
          nullable: true
        isDuplicate:
          type: boolean
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ModelsTransactionsSBJobStatus:
      enum:
        - PENDING
        - IN_PROGRESS
        - SUCCEEDED
        - FAILED
        - ERROR
        - REJECTED
      type: string
    DTOSBAttachmentResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        fileName:
          type: string
          nullable: true
        originalFileName:
          type: string
          nullable: true
        fileSize:
          type: integer
          format: int64
        versionId:
          type: string
          nullable: true
        contentType:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        thumbnailUrl:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    BusinessEmployeesEmployeeSummaryResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        avatar:
          type: string
          nullable: true
      additionalProperties: false

````